Subject: bug#8342: 24.0.50; Emacs HEAD cannot build with OS X standard autoconf

From: Steve Purcell <[email-masked]>
Date: Fri, 25 Mar 2011 18:06:48 +0000

On 25 Mar 2011, at 17:08, Glenn Morris wrote:
> 
> If installing autoconf is too hard, you can use
> 
> ./autogen/copy_autogen
> 
> as a workaround
> 
> (as advised by the top-level autogen.sh script, if you run it)
> 

Hi Glenn,

That works, and I apologise for having failed to notice it.

It's not that installing autogen is too hard, of course -- I have an autogen, just not the very latest version, and that never mattered before since 'configure' was all I needed.

It seems like if there's an accepted case for checking in a version of the autogen'd files, then why not spare the users by sticking with the previous simpler scheme, and use the ./autogen cronjob to update the primary files directly?

I imagine the Homebrew build recipe will end up just using copy_autogen if the new scheme remains in place, and a bunch of OS X users will also get used to running ./autogen/copy_autogen every time they build.

I should stress that I'm far from a hard-core Emacs developer, and I don't fully understand the big picture of making Emacs work *everywhere*, but I hope that this at least qualifies my bug report as the feedback of an informed (and grateful) user on one reasonably popular platform.

Cheers,

-Steve